Bug Hunting Session
Bug 57017 - Writer ole does not trim
Summary: Writer ole does not trim
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.6.3.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: OLE-Objects
  Show dependency treegraph
 
Reported: 2012-11-12 15:08 UTC by dE
Modified: 2019-06-06 09:12 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dE 2012-11-12 15:08:18 UTC
After inserting a writer OLE, try and make the canvas small (or fit the content in the OLE) by dragging the edges in edit mode.

You'll see it makes the text smaller instead of making the canvas smaller, and if you go out of the edit mode of the canvas, the canvas does not resize.
Comment 1 ydutrieux 2012-12-16 11:01:06 UTC
@dE

I confirm this on libo Version 4.0.0.0.beta1 (Build ID: 87906242e87d3ddb2ba9827818f2d1416d80cc7) 
WIN7 - 64bits

but
I think it's the default behaviour for all OLE objet isn't it ?
So it should be marked as enhancement, no ?
Comment 2 dE 2013-01-31 19:00:47 UTC
(In reply to comment #1)
> @dE
> 
> I confirm this on libo Version 4.0.0.0.beta1 (Build ID:
> 87906242e87d3ddb2ba9827818f2d1416d80cc7) 
> WIN7 - 64bits
> 
> but
> I think it's the default behaviour for all OLE objet isn't it ?
> So it should be marked as enhancement, no ?

No, this should happen when you're out of the edit mode of the OLE. Try doing it in writer -- it works as expected.
Comment 3 QA Administrators 2015-02-19 15:44:54 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-03-08 19:13:52 UTC
Reproduced.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI
Comment 5 tommy27 2016-04-16 07:26:59 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-05-22 13:23:24 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.7 or 5.3.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170522